Subject: [FIX]ارسال اشعار في حال تم تغيير او اضافة اي صلاحية من ادارة النظام
Author: iboussetta
Committer: iboussetta

Date Level Type Message
2019-02-22 18:09:49 INFO runbot init Init build environment
2019-02-22 18:10:25 INFO runbot test_all Start test all modules
2019-02-22 18:12:25 ERROR server odoo.addons.web_editor.tests.test_converter:474 write ` File "/opt/odoo/odoo11/addons/web_editor/tests/test_converter.py", line 119, in setUp
2019-02-22 18:12:26 ERROR server odoo.addons.web_editor.tests.test_converter:474 write ` super(TestConvertBack, self).setUp()
2019-02-22 18:12:26 ERROR server odoo.addons.web_editor.tests.test_converter:474 write ` File "/opt/odoo/odoo11/odoo/tests/common.py", line 179, in setUp
2019-02-22 18:12:26 ERROR server odoo.addons.web_editor.tests.test_converter:474 write ` self.cr = self.cursor()
2019-02-22 18:12:26 ERROR server odoo.addons.web_editor.tests.test_converter:474 write ` File "/opt/odoo/odoo11/odoo/tests/common.py", line 122, in cursor
2019-02-22 18:12:26 ERROR server odoo.addons.web_editor.tests.test_converter:474 write ` return self.registry.cursor()
2019-02-22 18:12:26 ERROR server odoo.addons.web_editor.tests.test_converter:474 write ` File "/opt/odoo/odoo11/odoo/modules/registry.py", line 484, in cursor
2019-02-22 18:12:26 ERROR server odoo.addons.web_editor.tests.test_converter:474 write ` return self._db.cursor()
2019-02-22 18:12:26 ERROR server odoo.addons.web_editor.tests.test_converter:474 write ` File "/opt/odoo/odoo11/odoo/sql_db.py", line 634, in cursor
2019-02-22 18:12:26 ERROR server odoo.addons.web_editor.tests.test_converter:474 write ` return Cursor(self.__pool, self.dbname, self.dsn, serialized=serialized)
2019-02-22 18:12:26 ERROR server odoo.addons.web_editor.tests.test_converter:474 write ` File "/opt/odoo/odoo11/odoo/sql_db.py", line 178, in __init__
2019-02-22 18:12:26 ERROR server odoo.addons.web_editor.tests.test_converter:474 write ` self._cnx = pool.borrow(dsn)
2019-02-22 18:12:26 ERROR server odoo.addons.web_editor.tests.test_converter:474 write ` File "/opt/odoo/odoo11/odoo/sql_db.py", line 517, in _locked
2019-02-22 18:12:26 ERROR server odoo.addons.web_editor.tests.test_converter:474 write ` return fun(self, *args, **kwargs)
2019-02-22 18:12:26 ERROR server odoo.addons.web_editor.tests.test_converter:474 write ` File "/opt/odoo/odoo11/odoo/sql_db.py", line 585, in borrow
2019-02-22 18:12:26 ERROR server odoo.addons.web_editor.tests.test_converter:474 write ` **connection_info)
2019-02-22 18:12:26 ERROR server odoo.addons.web_editor.tests.test_converter:474 write ` File "/usr/local/lib/python3.5/dist-packages/psycopg2/__init__.py", line 130, in connect
2019-02-22 18:12:26 ERROR server odoo.addons.web_editor.tests.test_converter:474 write ` conn = _connect(dsn, connection_factory=connection_factory, **kwasync)
2019-02-22 18:12:26 ERROR server odoo.addons.web_editor.tests.test_converter:474 write ` psycopg2.OperationalError: FATAL: sorry, too many clients already
2019-02-22 18:12:26 ERROR server odoo.addons.web_editor.tests.test_converter:474 write `
2019-02-22 18:12:26 ERROR server odoo.addons.web_editor.tests.test_converter:474 write ERROR: test_selection (odoo.addons.web_editor.tests.test_converter.TestConvertBack)
2019-02-22 18:12:26 ERROR server odoo.addons.web_editor.tests.test_converter:474 write Traceback (most recent call last):
2019-02-22 18:12:26 ERROR server odoo.addons.web_editor.tests.test_converter:474 write ` File "/opt/odoo/odoo11/addons/web_editor/tests/test_converter.py", line 119, in setUp
2019-02-22 18:12:26 ERROR server odoo.addons.web_editor.tests.test_converter:474 write ` super(TestConvertBack, self).setUp()
2019-02-22 18:12:26 ERROR server odoo.addons.web_editor.tests.test_converter:474 write ` File "/opt/odoo/odoo11/odoo/tests/common.py", line 179, in setUp
2019-02-22 18:12:26 ERROR server odoo.addons.web_editor.tests.test_converter:474 write ` self.cr = self.cursor()
2019-02-22 18:12:26 ERROR server odoo.addons.web_editor.tests.test_converter:474 write ` File "/opt/odoo/odoo11/odoo/tests/common.py", line 122, in cursor
2019-02-22 18:12:26 ERROR server odoo.addons.web_editor.tests.test_converter:474 write ` return self.registry.cursor()
2019-02-22 18:12:26 ERROR server odoo.addons.web_editor.tests.test_converter:474 write ` File "/opt/odoo/odoo11/odoo/modules/registry.py", line 484, in cursor
2019-02-22 18:12:26 ERROR server odoo.addons.web_editor.tests.test_converter:474 write ` return self._db.cursor()
2019-02-22 18:12:26 ERROR server odoo.addons.web_editor.tests.test_converter:474 write ` File "/opt/odoo/odoo11/odoo/sql_db.py", line 634, in cursor
2019-02-22 18:12:26 ERROR server odoo.addons.web_editor.tests.test_converter:474 write ` return Cursor(self.__pool, self.dbname, self.dsn, serialized=serialized)
2019-02-22 18:12:26 ERROR server odoo.addons.web_editor.tests.test_converter:474 write ` File "/opt/odoo/odoo11/odoo/sql_db.py", line 178, in __init__
2019-02-22 18:12:26 ERROR server odoo.addons.web_editor.tests.test_converter:474 write ` self._cnx = pool.borrow(dsn)
2019-02-22 18:12:26 ERROR server odoo.addons.web_editor.tests.test_converter:474 write ` File "/opt/odoo/odoo11/odoo/sql_db.py", line 517, in _locked
2019-02-22 18:12:26 ERROR server odoo.addons.web_editor.tests.test_converter:474 write ` return fun(self, *args, **kwargs)
2019-02-22 18:12:26 ERROR server odoo.addons.web_editor.tests.test_converter:474 write ` File "/opt/odoo/odoo11/odoo/sql_db.py", line 585, in borrow
2019-02-22 18:12:26 ERROR server odoo.addons.web_editor.tests.test_converter:474 write ` **connection_info)
2019-02-22 18:12:26 ERROR server odoo.addons.web_editor.tests.test_converter:474 write ` File "/usr/local/lib/python3.5/dist-packages/psycopg2/__init__.py", line 130, in connect
2019-02-22 18:12:26 ERROR server odoo.addons.web_editor.tests.test_converter:474 write ` conn = _connect(dsn, connection_factory=connection_factory, **kwasync)
2019-02-22 18:12:26 ERROR server odoo.addons.web_editor.tests.test_converter:474 write ` psycopg2.OperationalError: FATAL: sorry, too many clients already
2019-02-22 18:12:26 ERROR server odoo.addons.web_editor.tests.test_converter:474 write `
2019-02-22 18:12:26 ERROR server odoo.addons.web_editor.tests.test_converter:474 write ERROR: test_selection_str (odoo.addons.web_editor.tests.test_converter.TestConvertBack)
2019-02-22 18:12:26 ERROR server odoo.addons.web_editor.tests.test_converter:474 write Traceback (most recent call last):
2019-02-22 18:12:26 ERROR server odoo.addons.web_editor.tests.test_converter:474 write ` File "/opt/odoo/odoo11/addons/web_editor/tests/test_converter.py", line 119, in setUp
2019-02-22 18:12:26 ERROR server odoo.addons.web_editor.tests.test_converter:474 write ` super(TestConvertBack, self).setUp()
2019-02-22 18:12:26 ERROR server odoo.addons.web_editor.tests.test_converter:474 write ` File "/opt/odoo/odoo11/odoo/tests/common.py", line 179, in setUp
2019-02-22 18:12:26 ERROR server odoo.addons.web_editor.tests.test_converter:474 write ` self.cr = self.cursor()
2019-02-22 18:12:26 ERROR server odoo.addons.web_editor.tests.test_converter:474 write ` File "/opt/odoo/odoo11/odoo/tests/common.py", line 122, in cursor
2019-02-22 18:12:26 ERROR server odoo.addons.web_editor.tests.test_converter:474 write ` return self.registry.cursor()
2019-02-22 18:12:26 ERROR server odoo.addons.web_editor.tests.test_converter:474 write ` File "/opt/odoo/odoo11/odoo/modules/registry.py", line 484, in cursor
2019-02-22 18:12:26 ERROR server odoo.addons.web_editor.tests.test_converter:474 write ` return self._db.cursor()
2019-02-22 18:12:26 ERROR server odoo.addons.web_editor.tests.test_converter:474 write ` File "/opt/odoo/odoo11/odoo/sql_db.py", line 634, in cursor
2019-02-22 18:12:26 ERROR server odoo.addons.web_editor.tests.test_converter:474 write ` return Cursor(self.__pool, self.dbname, self.dsn, serialized=serialized)
2019-02-22 18:12:26 ERROR server odoo.addons.web_editor.tests.test_converter:474 write ` File "/opt/odoo/odoo11/odoo/sql_db.py", line 178, in __init__
2019-02-22 18:12:26 ERROR server odoo.addons.web_editor.tests.test_converter:474 write ` self._cnx = pool.borrow(dsn)
2019-02-22 18:12:26 ERROR server odoo.addons.web_editor.tests.test_converter:474 write ` File "/opt/odoo/odoo11/odoo/sql_db.py", line 517, in _locked
2019-02-22 18:12:26 ERROR server odoo.addons.web_editor.tests.test_converter:474 write ` return fun(self, *args, **kwargs)
2019-02-22 18:12:26 ERROR server odoo.addons.web_editor.tests.test_converter:474 write ` File "/opt/odoo/odoo11/odoo/sql_db.py", line 585, in borrow
2019-02-22 18:12:26 ERROR server odoo.addons.web_editor.tests.test_converter:474 write ` **connection_info)
2019-02-22 18:12:26 ERROR server odoo.addons.web_editor.tests.test_converter:474 write ` File "/usr/local/lib/python3.5/dist-packages/psycopg2/__init__.py", line 130, in connect
2019-02-22 18:12:26 ERROR server odoo.addons.web_editor.tests.test_converter:474 write ` conn = _connect(dsn, connection_factory=connection_factory, **kwasync)
2019-02-22 18:12:26 ERROR server odoo.addons.web_editor.tests.test_converter:474 write ` psycopg2.OperationalError: FATAL: sorry, too many clients already
2019-02-22 18:12:26 ERROR server odoo.addons.web_editor.tests.test_converter:474 write `
2019-02-22 18:12:26 ERROR server odoo.addons.web_editor.tests.test_converter:474 write ERROR: test_text (odoo.addons.web_editor.tests.test_converter.TestConvertBack)
2019-02-22 18:12:26 ERROR server odoo.addons.web_editor.tests.test_converter:474 write Traceback (most recent call last):
2019-02-22 18:12:26 ERROR server odoo.addons.web_editor.tests.test_converter:474 write ` File "/opt/odoo/odoo11/addons/web_editor/tests/test_converter.py", line 119, in setUp
2019-02-22 18:12:26 ERROR server odoo.addons.web_editor.tests.test_converter:474 write ` super(TestConvertBack, self).setUp()
2019-02-22 18:12:26 ERROR server odoo.addons.web_editor.tests.test_converter:474 write ` File "/opt/odoo/odoo11/odoo/tests/common.py", line 179, in setUp
2019-02-22 18:12:26 ERROR server odoo.addons.web_editor.tests.test_converter:474 write ` self.cr = self.cursor()
2019-02-22 18:12:26 ERROR server odoo.addons.web_editor.tests.test_converter:474 write ` File "/opt/odoo/odoo11/odoo/tests/common.py", line 122, in cursor
2019-02-22 18:12:26 ERROR server odoo.addons.web_editor.tests.test_converter:474 write ` return self.registry.cursor()
2019-02-22 18:12:26 ERROR server odoo.addons.web_editor.tests.test_converter:474 write ` File "/opt/odoo/odoo11/odoo/modules/registry.py", line 484, in cursor
2019-02-22 18:12:26 ERROR server odoo.addons.web_editor.tests.test_converter:474 write ` return self._db.cursor()
2019-02-22 18:12:26 ERROR server odoo.addons.web_editor.tests.test_converter:474 write ` File "/opt/odoo/odoo11/odoo/sql_db.py", line 634, in cursor
2019-02-22 18:12:26 ERROR server odoo.addons.web_editor.tests.test_converter:474 write ` return Cursor(self.__pool, self.dbname, self.dsn, serialized=serialized)
2019-02-22 18:12:26 ERROR server odoo.addons.web_editor.tests.test_converter:474 write ` File "/opt/odoo/odoo11/odoo/sql_db.py", line 178, in __init__
2019-02-22 18:12:26 ERROR server odoo.addons.web_editor.tests.test_converter:474 write ` self._cnx = pool.borrow(dsn)
2019-02-22 18:12:26 ERROR server odoo.addons.web_editor.tests.test_converter:474 write ` File "/opt/odoo/odoo11/odoo/sql_db.py", line 517, in _locked
2019-02-22 18:12:26 ERROR server odoo.addons.web_editor.tests.test_converter:474 write ` return fun(self, *args, **kwargs)
2019-02-22 18:12:26 ERROR server odoo.addons.web_editor.tests.test_converter:474 write ` File "/opt/odoo/odoo11/odoo/sql_db.py", line 585, in borrow
2019-02-22 18:12:26 ERROR server odoo.addons.web_editor.tests.test_converter:474 write ` **connection_info)
2019-02-22 18:12:26 ERROR server odoo.addons.web_editor.tests.test_converter:474 write ` File "/usr/local/lib/python3.5/dist-packages/psycopg2/__init__.py", line 130, in connect
2019-02-22 18:12:26 ERROR server odoo.addons.web_editor.tests.test_converter:474 write ` conn = _connect(dsn, connection_factory=connection_factory, **kwasync)
2019-02-22 18:12:26 ERROR server odoo.addons.web_editor.tests.test_converter:474 write ` psycopg2.OperationalError: FATAL: sorry, too many clients already
2019-02-22 18:12:26 ERROR server odoo.addons.web_editor.tests.test_converter:474 write `
2019-02-22 18:12:26 ERROR server odoo.addons.web_editor.tests.test_converter:474 write FAILED
2019-02-22 18:12:26 ERROR server odoo.modules.module:518 run_unit_tests Module web_editor: 0 failures, 8 errors
2019-02-22 18:12:32 WARNING server odoo.modules.loading:506 reset_modules_state Transient module states were reset
2019-02-22 18:12:32 ERROR server odoo.modules.registry:90 new
Failed to load registry
Traceback (most recent call last):
  File "/opt/odoo/odoo11/odoo/tools/convert.py", line 744, in parse
    self._tags[rec.tag](rec, de, mode=mode)
  File "/opt/odoo/odoo11/odoo/tools/convert.py", line 443, in _tag_menuitem
    self._test_xml_id(rec_id)
  File "/opt/odoo/odoo11/odoo/tools/convert.py", line 254, in _test_xml_id
    assert modcnt == 1, """The ID "%s" refers to an uninstalled module""" % (xml_id,)
AssertionError: The ID "mail.menu_email_templates" refers to an uninstalled module

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/opt/odoo/odoo11/odoo/modules/registry.py", line 85, in new
    odoo.modules.load_modules(registry._db, force_demo, status, update_module)
  File "/opt/odoo/odoo11/odoo/modules/loading.py", line 380, in load_modules
    loaded_modules, update_module, models_to_check)
  File "/opt/odoo/odoo11/odoo/modules/loading.py", line 274, in load_marked_modules
    perform_checks=perform_checks, models_to_check=models_to_check
  File "/opt/odoo/odoo11/odoo/modules/loading.py", line 181, in load_module_graph
    _load_data(cr, module_name, idref, mode, kind='data')
  File "/opt/odoo/odoo11/odoo/modules/loading.py", line 95, in _load_data
    tools.convert_file(cr, module_name, filename, idref, mode, noupdate, kind, report)
  File "/opt/odoo/odoo11/odoo/tools/convert.py", line 791, in convert_file
    convert_xml_import(cr, module, fp, idref, mode, noupdate, report)
  File "/opt/odoo/odoo11/odoo/tools/convert.py", line 852, in convert_xml_import
    obj.parse(doc.getroot(), mode=mode)
  File "/opt/odoo/odoo11/odoo/tools/convert.py", line 751, in parse
    exc_info[2]
  File "/opt/odoo/odoo11/odoo/tools/pycompat.py", line 86, in reraise
    raise value.with_traceback(tb)
  File "/opt/odoo/odoo11/odoo/tools/convert.py", line 744, in parse
    self._tags[rec.tag](rec, de, mode=mode)
  File "/opt/odoo/odoo11/odoo/tools/convert.py", line 443, in _tag_menuitem
    self._test_xml_id(rec_id)
  File "/opt/odoo/odoo11/odoo/tools/convert.py", line 254, in _test_xml_id
    assert modcnt == 1, """The ID "%s" refers to an uninstalled module""" % (xml_id,)
odoo.tools.convert.ParseError: "The ID "mail.menu_email_templates" refers to an uninstalled module" while parsing /mnt/vdb/odoo/addons_runbot/runbot/static/build/08918-1225-d8b364/addons/base_install/view/menu.xml:74, near
<menuitem action="mail.action_email_template_tree_all" name="    &#x642;&#x648;&#x627;&#x644;&#x628; &#x627;&#x644;&#x628;&#x631;&#x64A;&#x62F; &#x627;&#x644;&#x625;&#x644;&#x643;&#x62A;&#x631;&#x648;&#x646;&#x64A;" id="mail.menu_email_templates" parent="menu_technical_setting" sequence="26"/>
2019-02-22 18:12:32 CRITICAL server odoo.service.server:961 preload_registries
Failed to initialize database `08918-1225-d8b364-all`.
Traceback (most recent call last):
  File "/opt/odoo/odoo11/odoo/tools/convert.py", line 744, in parse
    self._tags[rec.tag](rec, de, mode=mode)
  File "/opt/odoo/odoo11/odoo/tools/convert.py", line 443, in _tag_menuitem
    self._test_xml_id(rec_id)
  File "/opt/odoo/odoo11/odoo/tools/convert.py", line 254, in _test_xml_id
    assert modcnt == 1, """The ID "%s" refers to an uninstalled module""" % (xml_id,)
AssertionError: The ID "mail.menu_email_templates" refers to an uninstalled module

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/opt/odoo/odoo11/odoo/service/server.py", line 932, in preload_registries
    registry = Registry.new(dbname, update_module=update_module)
  File "/opt/odoo/odoo11/odoo/modules/registry.py", line 85, in new
    odoo.modules.load_modules(registry._db, force_demo, status, update_module)
  File "/opt/odoo/odoo11/odoo/modules/loading.py", line 380, in load_modules
    loaded_modules, update_module, models_to_check)
  File "/opt/odoo/odoo11/odoo/modules/loading.py", line 274, in load_marked_modules
    perform_checks=perform_checks, models_to_check=models_to_check
  File "/opt/odoo/odoo11/odoo/modules/loading.py", line 181, in load_module_graph
    _load_data(cr, module_name, idref, mode, kind='data')
  File "/opt/odoo/odoo11/odoo/modules/loading.py", line 95, in _load_data
    tools.convert_file(cr, module_name, filename, idref, mode, noupdate, kind, report)
  File "/opt/odoo/odoo11/odoo/tools/convert.py", line 791, in convert_file
    convert_xml_import(cr, module, fp, idref, mode, noupdate, report)
  File "/opt/odoo/odoo11/odoo/tools/convert.py", line 852, in convert_xml_import
    obj.parse(doc.getroot(), mode=mode)
  File "/opt/odoo/odoo11/odoo/tools/convert.py", line 751, in parse
    exc_info[2]
  File "/opt/odoo/odoo11/odoo/tools/pycompat.py", line 86, in reraise
    raise value.with_traceback(tb)
  File "/opt/odoo/odoo11/odoo/tools/convert.py", line 744, in parse
    self._tags[rec.tag](rec, de, mode=mode)
  File "/opt/odoo/odoo11/odoo/tools/convert.py", line 443, in _tag_menuitem
    self._test_xml_id(rec_id)
  File "/opt/odoo/odoo11/odoo/tools/convert.py", line 254, in _test_xml_id
    assert modcnt == 1, """The ID "%s" refers to an uninstalled module""" % (xml_id,)
odoo.tools.convert.ParseError: "The ID "mail.menu_email_templates" refers to an uninstalled module" while parsing /mnt/vdb/odoo/addons_runbot/runbot/static/build/08918-1225-d8b364/addons/base_install/view/menu.xml:74, near
<menuitem action="mail.action_email_template_tree_all" name="    &#x642;&#x648;&#x627;&#x644;&#x628; &#x627;&#x644;&#x628;&#x631;&#x64A;&#x62F; &#x627;&#x644;&#x625;&#x644;&#x643;&#x62A;&#x631;&#x648;&#x646;&#x64A;" id="mail.menu_email_templates" parent="menu_technical_setting" sequence="26"/>
2019-02-22 18:12:40 INFO runbot run Start running build 08918-1225-d8b364
2019-02-22 18:12:43 INFO server odoo.modules.loading:234 load_module_graph 1 modules loaded in 0.52s, 0 queries
2019-02-22 18:12:44 INFO server odoo.modules.loading:234 load_module_graph 30 modules loaded in 0.27s, 0 queries
2019-02-25 20:32:34 INFO runbot _ask_kill Killing build 08918-1225-d8b364, requested by Administrator (user #1)
2019-02-25 20:35:12 INFO runbot kill Kill build 08918-1225-d8b364